<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format"
	version="1.0">
<xsl:variable name="esPromocion" select="/parte/total/total_rec/PRECIOPROMOCION"/>  			
<xsl:template match="parte">

	<fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">	
	
		<fo:layout-master-set>
    			<fo:simple-page-master master-name="first" 
				page-height="297mm" page-width="210mm" 
				margin-top="10mm" margin-bottom="10mm" 
				margin-left="15mm" margin-right="15mm">
				
				<fo:region-body margin-top="40mm" margin-bottom="10mm"/>
				<fo:region-before extent="40mm" region-name="before-on-first"/>
				<fo:region-after extent="10mm"/>
			
			</fo:simple-page-master>
			
			<fo:simple-page-master master-name="rest" 
				page-height="297mm" page-width="210mm" 
				margin-top="10mm" margin-bottom="10mm" 
				margin-left="15mm" margin-right="15mm">
				
				<fo:region-body margin-top="40mm" margin-bottom="10mm"/>
				<fo:region-before extent="40mm" region-name="before-rest"/>
				<fo:region-after extent="10mm"/>
			
			</fo:simple-page-master>
			
			<fo:page-sequence-master name="all-pages">
     				<fo:single-page-master-reference master-reference="first"/>
     				<fo:repeatable-page-master-reference master-reference="rest"/>
   			</fo:page-sequence-master>
			
		</fo:layout-master-set>
		
		<fo:page-sequence master-name="all-pages">
		
			<fo:static-content flow-name="before-on-first">
 				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" margin-left="2mm">
 					<xsl:apply-templates select="cabecera_instalador/cabecera_instalador_rec"/>
 				</fo:block>
			</fo:static-content>
			
			<fo:static-content flow-name="xsl-region-after">
				<!--
				LINEA DE SEPARACION
				-->
				<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
					<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   				border-style="solid" border-width="1pt" border-color="black">
								<fo:block text-align="center">		
								</fo:block>	
				   		</fo:table-cell>   				
				    	</fo:table-row>
				 	</fo:table-body>
				 </fo:table>
				
				<fo:block space-after.optimum="5pt"></fo:block>
				
				<fo:block text-align="end" font-size="8pt" font-family="sans-serif" line-height="1em + 2pt">
					Nº Parte: <xsl:apply-templates select="cliente_y_trabajo/cliente_y_trabajo_rec/NUMEROPARTETRABAJO"/>
					___
					Página: <fo:page-number/> / <fo:page-number-citation ref-id = "lastBlock"/>
      		</fo:block>
	    	</fo:static-content> 
	    		
  			<fo:flow flow-name="xsl-region-body">				
				<fo:block font-family="sans-serif" font-weight="normal" font-size="10pt" 
					margin-left="1mm"  margin-right="1mm">
  					
  					<!--
					LINEA DE SEPARACION
					-->
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
				 	
					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					<xsl:apply-templates select="cliente_y_trabajo/cliente_y_trabajo_rec"/>
  					
  					<fo:block space-after.optimum="5pt"></fo:block>
  					<!--
					LINEA DE SEPARACION
					-->
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
				 		<fo:table-column column-width="180mm"/>
				 		<fo:table-body>
				  			<fo:table-row>  			 			
				   			<fo:table-cell font-size="1pt" 
				   					border-style="solid" border-width="1pt" border-color="black">
									<fo:block text-align="center">		
									</fo:block>	
				   			</fo:table-cell>   				
				    		</fo:table-row>
				 		</fo:table-body>
				 	</fo:table>
  					 				
  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					<xsl:apply-templates select="resumen_intervencion/resumen_intervencion_rec"/>
  					<fo:block space-after.optimum="10pt"></fo:block>
  					
  					<xsl:if test="count(consumos_intervencion_true/consumos_intervencion_true_rec) > 0">
  						<xsl:apply-templates select="consumos_intervencion_true"/>
  						<fo:block text-align="end">
							( ___ ) Importe No Incluido
						</fo:block>
						<fo:block space-after.optimum="10pt"></fo:block>
					</xsl:if>
					
					<xsl:if test="count(consumos_intervencion_false/consumos_intervencion_false_rec) > 0">
  						<xsl:apply-templates select="consumos_intervencion_false"/>
  						<fo:block text-align="end">
							( ___ ) Importe No Incluido
						</fo:block>
						<fo:block space-after.optimum="10pt"></fo:block>
					</xsl:if>
					
					<!-- lineas en blanco para rellenar por el trenico	-->
					<xsl:if test="count(consumos_intervencion_false/consumos_intervencion_false_rec) = 0">
						<fo:block text-align="start" font-weight="bold">  				
				  			B.- MANTENIMIENTO/AMPLIACIÓN PRESUPUESTO
				  		</fo:block>
				  		
				  		<fo:table table-layout="fixed" inline-progression-dimension="auto">
				 			<fo:table-column column-width="15mm"/>
				 			<fo:table-column column-width="40mm"/>
				 			<fo:table-column column-width="60mm"/>
				 			<fo:table-column column-width="25mm"/>
							<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
							<xsl:if test="$sum > 0">
								<fo:table-column column-width="15mm"/>
								<fo:table-column column-width="25mm"/>
							</xsl:if>
							<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
							<xsl:if test="$sum = 0">
								<fo:table-column column-width="40mm"/>
							</xsl:if>
				 			
					 		<fo:table-body font-weight="bold" start-indent="2pt" 
					 			margin-top="1mm" margin-bottom="1mm" 
					    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">			
								<!-- cabecera	-->
								<fo:table-row>					
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block text-align="end">
											Uds.
										</fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block text-align="start">
											Referencia
										</fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block text-align="start">
											Descripción
										</fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block text-align="end">
											P. Unitario €
										</fo:block>
					   			</fo:table-cell>
					   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
									<xsl:if test="$sum > 0">
								 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
											<fo:block text-align="end">
												Dto.
											</fo:block>
					   				</fo:table-cell>
					   			</xsl:if>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block text-align="end">
											Importe €
										</fo:block>
					   			</fo:table-cell>   					   								   				   					
								</fo:table-row>
							</fo:table-body>
					 	</fo:table>
								
						<fo:table table-layout="fixed" inline-progression-dimension="auto">
				 			<fo:table-column column-width="15mm"/>
				 			<fo:table-column column-width="40mm"/>
				 			<fo:table-column column-width="60mm"/>
				 			<fo:table-column column-width="25mm"/>
							<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
							<xsl:if test="$sum > 0">
								<fo:table-column column-width="15mm"/>
								<fo:table-column column-width="25mm"/>
							</xsl:if>
							<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
							<xsl:if test="$sum = 0">
								<fo:table-column column-width="40mm"/>
							</xsl:if>
				 			
					 		<fo:table-body font-weight="bold" start-indent="2pt" 
					 			margin-top="1mm" margin-bottom="1mm" 
					    		margin-left="1mm" margin-right="1mm">
								<!--	lineas blanco	-->
								<fo:table-row>					
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
									<xsl:if test="$sum > 0">
								 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
											<fo:block space-after.optimum="15pt"></fo:block>
					   				</fo:table-cell>
					   			</xsl:if>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>   					   								   				   					
								</fo:table-row>
								
								<fo:table-row>					
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
									<xsl:if test="$sum > 0">
								 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
											<fo:block space-after.optimum="15pt"></fo:block>
					   				</fo:table-cell>
					   			</xsl:if>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>   					   								   				   					
								</fo:table-row>
								
								<fo:table-row>					
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
									<xsl:if test="$sum > 0">
								 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
											<fo:block space-after.optimum="15pt"></fo:block>
					   				</fo:table-cell>
					   			</xsl:if>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>   					   								   				   					
								</fo:table-row>
								
								<fo:table-row>					
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
									<xsl:if test="$sum > 0">
								 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
											<fo:block space-after.optimum="15pt"></fo:block>
					   				</fo:table-cell>
					   			</xsl:if>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>   					   								   				   					
								</fo:table-row>
								
								<fo:table-row>					
									<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>
					   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
				 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
									<xsl:if test="$sum > 0">
								 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
											<fo:block space-after.optimum="15pt"></fo:block>
					   				</fo:table-cell>
					   			</xsl:if>
					   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
										<fo:block space-after.optimum="15pt"></fo:block>
					   			</fo:table-cell>   					   								   				   					
								</fo:table-row>
								
					 		</fo:table-body>
					 	</fo:table>
					
						<fo:block space-after.optimum="10pt"></fo:block>		
					</xsl:if>
  					
  					<xsl:apply-templates select="total/total_rec"/>

				  					
  					<fo:block break-before="page"/>
  					
  					<xsl:if test="count(resumen_fichas_infraestructura/resumen_fichas_infraestructura_rec) > 0">
  						<xsl:apply-templates select="resumen_fichas_infraestructura/resumen_fichas_infraestructura_rec"/> 				
  						<fo:block space-after.optimum="10pt"></fo:block>
  					</xsl:if>
  					  					
  					<xsl:if test="count(datos_historicos/datos_historicos_rec) > 0">
  						<xsl:apply-templates select="datos_historicos"/>
					</xsl:if>
					
 					
  					<!-- identificador ultima pagina -->
					<fo:block id = "lastBlock">
   				</fo:block>
  					
  				</fo:block> 
  				  				
			</fo:flow>
			
		</fo:page-sequence>
	
	</fo:root>
</xsl:template>

<!-- Informacion Datos Empresa -->
<xsl:template match="cabecera_instalador_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="1pt">
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="110mm"/>
 		 			
 		<fo:table-body>
  			<fo:table-row>  			 			
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black"
   				margin-top="5mm" margin-bottom="5mm">
					<fo:block text-align="center">
						<xsl:variable name="logo" select="LOGO"/>  							    						
						<fo:external-graphic src="{$logo}"/>					
					</fo:block>	
   			</fo:table-cell>
   				
   			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					
					<xsl:variable name="varT" select="NOMBRERAZON"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start" font-size="14pt">  					
							<xsl:apply-templates select="NOMBRERAZON"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="varT" select="NIFCIF"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>C.I.F/N.I.F.: </fo:inline>
							<xsl:apply-templates select="NIFCIF"/>
						</fo:block>
					</xsl:if>
					
					<xsl:variable name="ficha" select="FICHADP"/>
					<!-- Primer juego de datos -->	
					<xsl:if test="$ficha = '0'">
						<xsl:variable name="varT" select="CALLE"/>	
						<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CALLE"/>
							</fo:block>
						</xsl:if>
						
						<xsl:variable name="varT" select="CODIGOPOSTAL"/>	
	   					<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CODIGOPOSTAL"/>
								<fo:inline>,  </fo:inline>
							
								<xsl:apply-templates select="POBLACION"/>
							
								<xsl:variable name="var1" select="POBLACION"/>
								<xsl:variable name="var2" select="PROVINCIA"/>
	 							<xsl:if test="$var1 != $var2">
	 								<fo:inline>  (</fo:inline>
									<xsl:apply-templates select="PROVINCIA"/>
									<fo:inline>)</fo:inline>
			   				</xsl:if>
							</fo:block>
						</xsl:if>
					</xsl:if>
					<!-- Segundo juego de datos -->
					<xsl:if test="$ficha = '1'">
						<xsl:variable name="varT" select="CALLE_2"/>	
						<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CALLE_2"/>
							</fo:block>
						</xsl:if>
						
						<xsl:variable name="varT" select="CODIGOPOSTAL_2"/>	
	   					<xsl:if test="string-length($varT) > 0">
							<fo:block text-align="start">
								<xsl:apply-templates select="CODIGOPOSTAL_2"/>
								<fo:inline>,  </fo:inline>
							
								<xsl:apply-templates select="POBLACION_2"/>
							
								<xsl:variable name="var1" select="POBLACION_2"/>
								<xsl:variable name="var2" select="PROVINCIA_2"/>
	 							<xsl:if test="$var1 != $var2">
	 								<fo:inline>  (</fo:inline>
									<xsl:apply-templates select="PROVINCIA_2"/>
									<fo:inline>)</fo:inline>
			   				</xsl:if>
							</fo:block>
						</xsl:if>
					</xsl:if>
					
					<xsl:variable name="varT" select="TELEFONO1"/>	
					<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Teléfono: </fo:inline>
							<xsl:apply-templates select="TELEFONO1"/>
							<fo:inline> Fax: </fo:inline>
							<xsl:apply-templates select="FAX"/>
						</fo:block>
					</xsl:if>
										
					<xsl:variable name="varT" select="EMAIL1"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<xsl:apply-templates select="EMAIL1"/>
							<fo:inline> - </fo:inline>
							<xsl:apply-templates select="PAGINAWEB"/>
						</fo:block>
					</xsl:if>
					
   				<xsl:variable name="varT" select="REGISTRO"/>	
   				<xsl:if test="string-length($varT) > 0">
						<fo:block text-align="start">
							<fo:inline>Nº Registro Empresa Instaladora de Telecomunicación: </fo:inline>
							<xsl:apply-templates select="REGISTRO"/>
						</fo:block>
					</xsl:if>
   				
   			</fo:table-cell>
   			
   		</fo:table-row>
 		</fo:table-body>
 	</fo:table>
 	
</xsl:template>

<!--	formateo decimal	-->
<xsl:decimal-format name="euro"
	decimal-separator="," grouping-separator="."/>

<!--	BODY -->
<xsl:template match="cliente_y_trabajo_rec">
	<!-- TABLA CLIENTE Y PARTE DE TRABAJO -->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
		<fo:table-column column-width="78mm"/> 		
 		<fo:table-column column-width="2mm"/>
		<fo:table-column column-width="100mm"/>
 		
 
 		<fo:table-body font-weight="normal"> 
 		
  			<!-- CABECERA -->	
			<fo:table-row>  			 			   			
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<xsl:if test="$esPromocion > 0">
					<fo:block text-align="start" margin-left="2mm">
						<fo:inline font-weight="bold">PARTE DE TRABAJO DE PROMOCIÓN</fo:inline> 
					</fo:block>					
					</xsl:if>
					<xsl:if test="$esPromocion = 0">
					<fo:block text-align="start">
						<fo:inline font-weight="bold">PARTE DE TRABAJO</fo:inline> 
					</fo:block>		
					</xsl:if>
				</fo:table-cell>  				
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
					<fo:block text-align="start">
						<fo:inline font-weight="bold">CLIENTE</fo:inline> 
					</fo:block>					
				</fo:table-cell>
			</fo:table-row>
			  			 			   		
			<!-- DATOS -->		   				
			<fo:table-row>
			
				<!-- DATOS PARTE DE TRABAJO -->   			
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="40mm"/>
 						
 						<fo:table-body>
 						
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Nº Parte:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="NUMEROPARTETRABAJO"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>

 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<xsl:if test="$esPromocion > 0">
									<fo:block text-align="start" margin-left="2mm">
										<fo:inline>Promoción</fo:inline>
									</fo:block>					
									</xsl:if>
									<xsl:if test="$esPromocion = 0">
									<fo:block text-align="start">
										<fo:inline>Presupuesto:</fo:inline> 
									</fo:block>		
									</xsl:if>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="/parte/documentosrelacionados/documentosrelacionados_rec/NUMEROPRESUPUESTO"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Modo Trabajo:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="MODOTRABAJO"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Forma Cobro:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="FORMACOBRO"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Solicitud:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHASOLICITUD"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>F. Realización:</fo:inline>
									</fo:block>		
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:variable name="fecha" select="FECHAREALIZACION"/>  							    						
										<xsl:if test="$fecha > 0"> 
											<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
						</fo:table-body>
					</fo:table>
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="69mm"/>
 						<fo:table-body>
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Representante: </fo:inline> 
										<xsl:apply-templates select="/parte/representante_cliente_parte/representante_cliente_parte_rec/NOMBRE"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							 <fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="justify">
										<fo:inline>Tlf. Representante: </fo:inline> 
										<xsl:apply-templates select="/parte/representante_cliente_parte/representante_cliente_parte_rec/TELEFONO"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>					
   			</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
				</fo:table-cell>
				
				<!-- DATOS CLIENTE -->					
				<fo:table-cell border-style="solid" border-left-width="1pt" 
									border-right-width="1pt" border-top-width="1pt" border-bottom-width="1pt" 
									border-color="black">
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="70mm"/>
 						
 						<fo:table-body>
 						
 							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Nombre </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start" font-size="12pt">						   												
										<xsl:apply-templates select="NOMBRE"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
							
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">	
											<fo:inline>C.I.F./N.I.F. </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:apply-templates select="NIFCIF"/>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   											
											<fo:inline>Dirección </fo:inline> 
										</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="CALLE"/>
											<xsl:variable name="varTemp" select="POLIGONO"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Pol <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="EDIFICIO"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Edif. <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="BLOQUE"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Bloque <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
		 	 								<xsl:variable name="varTemp" select="PORTAL"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Portal <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="ESCALERA"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Esc <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="PISO"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Piso <xsl:value-of select="$varTemp"/>º
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="LETRAPISO"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Letra <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>	
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="CALLE_2"/>	
											<xsl:variable name="varTemp" select="POLIGONO_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Pol <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="EDIFICIO_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Edif. <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
											<xsl:variable name="varTemp" select="BLOQUE_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Bloque <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if> 
		 	 								<xsl:variable name="varTemp" select="PORTAL_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Portal <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="ESCALERA_2"/>
											<xsl:if test="string-length($varTemp) > 0"> 
		 										- Esc <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="PISO_2"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Piso <xsl:value-of select="$varTemp"/>º
		 	 								</xsl:if>
		 	 								<xsl:variable name="varTemp" select="LETRAPISO_2"/>
		 	 								<xsl:if test="string-length($varTemp) > 0"> 
		 										- Letra <xsl:value-of select="$varTemp"/>
		 	 								</xsl:if>												
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
															
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline>Población </fo:inline> 
										</fo:block>				
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   																	
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="POBLACION"/>
											<xsl:variable name="var1" select="POBLACION"/>
											<xsl:variable name="var2" select="PROVINCIA"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="PROVINCIA"/>
												<fo:inline>)</fo:inline>
			   								</xsl:if>	
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="POBLACION_2"/>
											<xsl:variable name="var1" select="POBLACION_2"/>
											<xsl:variable name="var2" select="PROVINCIA_2"/>
	 										<xsl:if test = "$var1 != $var2">
	 											<fo:inline>  (</fo:inline>
												<xsl:apply-templates select="PROVINCIA_2"/>
												<fo:inline>)</fo:inline>
			   								</xsl:if>
										</xsl:if>
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
				
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Código Postal </fo:inline> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">						   												
										<xsl:variable name="ficha" select="FICHADP"/>	
										<xsl:if test="$ficha = '0'">
											<xsl:apply-templates select="CODIGOPOSTAL"/>						
										</xsl:if>
										<xsl:if test="$ficha = '1'">
											<xsl:apply-templates select="CODIGOPOSTAL_2"/>						
										</xsl:if>							
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
					
					<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						<fo:table-column column-width="29mm"/>
 						<fo:table-column column-width="21mm"/>
 						
 						<fo:table-body>
							<fo:table-row>					
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<fo:inline font-style="normal">Tlf. </fo:inline>
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
										<fo:block text-align="start">						   																		
											<xsl:apply-templates select="TELEFONO"/> 
										</fo:block>			
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<fo:inline font-style="normal">Tlf. Contacto </fo:inline>						   												
									</fo:block>
								</fo:table-cell>
								<fo:table-cell border-style="solid" border-width="0pt">
									<fo:block text-align="start">
										<xsl:apply-templates select="TELEFONO1"/>						
									</fo:block>
								</fo:table-cell>
							</fo:table-row>
								
						</fo:table-body>
					</fo:table>
					
				</fo:table-cell>
				
   			
    		</fo:table-row>
    	</fo:table-body>
   </fo:table>
</xsl:template>


<!--	Datos generales partes de trabajo	-->
<xsl:template match="resumen_intervencion_rec">
		
	<fo:block text-align="start" font-weight="bold">						   					
		<fo:inline>DATOS PARTE TRABAJO</fo:inline>					
	</fo:block>
		
	<!--	Fecha solicitud	-->
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="150mm"/>
 		
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">  
					<fo:block text-align="start">						   					
						<fo:inline>F. Solicitud</fo:inline>					
					</fo:block> 	
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   				<fo:block text-align="start">						   											
						<xsl:variable name="fecha" select="FECHASOLICITUD"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>				
						</xsl:if>
					</fo:block>
   			</fo:table-cell>
   		</fo:table-row>
   	</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<!--	Trabajo solicitado	-->
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 				
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Trabajo Solicitado: </fo:inline> 
						
						<xsl:variable name="varT" select="TRABAJOSOLICITADO"/>	
   					<xsl:if test="string-length($varT) = 0">
							<fo:block space-after.optimum="30pt"></fo:block>		
						</xsl:if>
						<xsl:if test="string-length($varT) > 0">
							<xsl:apply-templates select="TRABAJOSOLICITADO"/>
						</xsl:if>						   					
					</fo:block>			
   			</fo:table-cell>
   	   </fo:table-row>
  		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<!--	Trabajo realizado	-->
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 				
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Trabajo Realizado: </fo:inline> 
						
						<xsl:variable name="varT" select="TRABAJOREALIZADO"/>	
   					<xsl:if test="string-length($varT) = 0">
							<fo:block space-after.optimum="30pt"></fo:block>		
						</xsl:if>
						<xsl:if test="string-length($varT) > 0">
							<xsl:apply-templates select="TRABAJOREALIZADO"/>
						</xsl:if>						   					
					</fo:block>			
   			</fo:table-cell>
   	   </fo:table-row>
  		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<!--	Pruebas realizadas	-->
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 				
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Pruebas Realizadas: </fo:inline> 
						
						<xsl:variable name="varT" select="PRUEBASREALIZADAS"/>	
   					<xsl:if test="string-length($varT) = 0">
							<fo:block space-after.optimum="30pt"></fo:block>		
						</xsl:if>
						<xsl:if test="string-length($varT) > 0">
							<xsl:apply-templates select="PRUEBASREALIZADAS"/>
						</xsl:if>						   					
					</fo:block>			
   			</fo:table-cell>
   	   </fo:table-row>
  		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<!--	Fecha realizacion, duracion y desplazamiento -->
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="40mm"/>
 		<fo:table-column column-width="20mm"/>
 		 		
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">  
					<fo:block text-align="start">						   					
						<fo:inline>F. Realización</fo:inline>					
					</fo:block> 	
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   				<fo:block text-align="start">						   											
						<xsl:variable name="fecha" select="FECHAREALIZACION"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>				
						</xsl:if>
					</fo:block>
   			</fo:table-cell>
   			
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">  
					<fo:block text-align="start">						   					
						<fo:inline>Duración</fo:inline>					
					</fo:block> 	
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   				<fo:block text-align="start">	
   					<xsl:variable name="hl" select="HORALLEGADA"/>  							    						
						<xsl:if test="string-length($hl)=4"> 
							<xsl:value-of select="substring($hl,1,2)"/>:<xsl:value-of select="substring($hl,3,2)"/> 
						</xsl:if>	
    					<xsl:if test="string-length($hl)=3"> 
    						<xsl:value-of select="substring($hl,1,1)"/>:<xsl:value-of select="substring($hl,2,2)"/> 
    					</xsl:if>
    					<xsl:if test="string-length($hl)=2"> 
    						<fo:inline>__:__</fo:inline>
    					</xsl:if>
    					<fo:inline> / </fo:inline> 
   					<xsl:variable name="hl" select="HORASALIDA"/>  							    						
						<xsl:if test="string-length($hl)=4"> 
							<xsl:value-of select="substring($hl,1,2)"/>:<xsl:value-of select="substring($hl,3,2)"/> 
						</xsl:if>	
    					<xsl:if test="string-length($hl)=3"> 
    						<xsl:value-of select="substring($hl,1,1)"/>:<xsl:value-of select="substring($hl,2,2)"/> 
    					</xsl:if>
    					<xsl:if test="string-length($hl)=2"> 
    						<fo:inline>__:__</fo:inline>
    					</xsl:if>
    					<fo:inline> h</fo:inline>   				
   				</fo:block>
   			</fo:table-cell>
   			
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">  
					<fo:block text-align="start">						   					
						<fo:inline>Desplazamiento</fo:inline>					
					</fo:block> 	
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
   				<fo:block text-align="start">
   					<xsl:variable name="T" select="DESPLAZAMIENTO" />
						<xsl:if test="$T = 0">
						</xsl:if>
						<xsl:if test="$T > 0">
							<xsl:apply-templates select="DESPLAZAMIENTO"/>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell>
   		</fo:table-row>
   		  			
 		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
	<!--	Intervencion Cliente	-->
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 				
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Lugar Intervención: </fo:inline> 
						<xsl:variable name="var2" select="INTERVENCIONCLIENTE"/>
						<xsl:if test="$var2 = '1'">
 							<fo:inline>Dirección CLIENTE</fo:inline> 
						</xsl:if>
						<xsl:if test="$var2 = '0'">
 							<xsl:apply-templates select="LUGARINTERVENCION"/>
						</xsl:if>
					</fo:block>			
   			</fo:table-cell>
   	   </fo:table-row>	
 		</fo:table-body>
 	</fo:table>
	
	<fo:block space-after.optimum="5pt"></fo:block>
	
	<!-- Técnico	-->
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 				
		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Técnico Asignado: </fo:inline> 
   					<xsl:apply-templates select="NOMBRE"/>
					</fo:block>			
   			</fo:table-cell>
   	   </fo:table-row>	
 		</fo:table-body>
 	</fo:table>
 	
</xsl:template>
	
<!--	conceptos presupuestados -->
<xsl:template match="consumos_intervencion_true">
	<xsl:if test="count(consumos_intervencion_true_rec) > 0">	
		<fo:block text-align="start" font-weight="bold">  						
  		A.- INSTALACIÓN
  		</fo:block>    
  		 									  				  				  				     			
  		<fo:table table-layout="fixed" inline-progression-dimension="auto">
 			<fo:table-column column-width="15mm"/>
 			<xsl:if test="$esPromocion > 0">
 				<fo:table-column column-width="30mm"/>
 				<fo:table-column column-width="30mm"/>
 				<fo:table-column column-width="40mm"/>
 			</xsl:if>
 			<xsl:if test="$esPromocion = 0">
 				<fo:table-column column-width="40mm"/>
 				<fo:table-column column-width="60mm"/>
 			</xsl:if>
			<fo:table-column column-width="25mm"/>
 			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_true/consumos_intervencion_true_rec/DESCUENTO)" />
			<xsl:if test="$sum > 0">
				<fo:table-column column-width="15mm"/>
				<fo:table-column column-width="25mm"/>
			</xsl:if>
			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_true/consumos_intervencion_true_rec/DESCUENTO)" />
			<xsl:if test="$sum = 0">
				<fo:table-column column-width="40mm"/>
			</xsl:if>
 			
	 		<fo:table-body font-weight="bold" start-indent="2pt" 
	 			margin-top="1mm" margin-bottom="1mm" 
	    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">			
				<fo:table-row>					
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							Uds.
						</fo:block>
	   			</fo:table-cell>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							Referencia
						</fo:block>
	   			</fo:table-cell>
	   			<xsl:if test="$esPromocion > 0">
		   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
							<fo:block text-align="start">
								Nº Serie
							</fo:block>
		   			</fo:table-cell>
				</xsl:if>

	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							Descripción
						</fo:block>
	   			</fo:table-cell>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							P. Unitario €
						</fo:block>
	   			</fo:table-cell>
	   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_true/consumos_intervencion_true_rec/DESCUENTO)" />
					<xsl:if test="$sum > 0">
						<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
							<fo:block text-align="end">
								Dto.
							</fo:block>
	   				</fo:table-cell>
					</xsl:if>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							Importe €
						</fo:block>
	   			</fo:table-cell>   					   								   				   					
				</fo:table-row>
	 		</fo:table-body>
	 	</fo:table> 					  				
  		
  		<xsl:apply-templates select="consumos_intervencion_true_rec"/>

  	</xsl:if>
</xsl:template>

<!--Informacion Consumos intervencion presupuestados-->
<xsl:template match="consumos_intervencion_true/consumos_intervencion_true_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<xsl:if test="$esPromocion > 0">
 			<fo:table-column column-width="30mm"/>
 			<fo:table-column column-width="30mm"/>
 			<fo:table-column column-width="40mm"/>
 		</xsl:if>
 		<xsl:if test="$esPromocion = 0">
 			<fo:table-column column-width="40mm"/>
 			<fo:table-column column-width="60mm"/>
 		</xsl:if>
 		<fo:table-column column-width="25mm"/>
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_true/consumos_intervencion_true_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<fo:table-column column-width="25mm"/>
		</xsl:if>
		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_true/consumos_intervencion_true_rec/DESCUENTO)" />
		<xsl:if test="$sum = 0">
			<fo:table-column column-width="40mm"/>
		</xsl:if>
			
		<fo:table-body start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">			
			<fo:table-row>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   			</fo:table-cell>   				
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   			</fo:table-cell>
   			<xsl:if test="$esPromocion > 0">
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							<xsl:apply-templates select="NUMEROSERIE"/>
						</fo:block>
	   			</fo:table-cell>
   			</xsl:if>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   			</fo:table-cell>			   				   							   		
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="PVP"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>
					</fo:block>
   			</fo:table-cell>
   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 				<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_true/consumos_intervencion_true_rec/DESCUENTO)" />
				<xsl:if test="$sum > 0">
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							<xsl:apply-templates select="DESCUENTO"/>%
						</fo:block>
   				</fo:table-cell>
				</xsl:if>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<xsl:variable name="var1" select="FACTURABLE"/>
	 				<xsl:if test="$var1 = '0'">
	 				<fo:block text-align="end" text-decoration="line-through">
	 					<xsl:variable name="varZ" select="TOTALCONCEPTO"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCONCEPTO, '#.###,00', 'euro')"/>
					</fo:block>
					</xsl:if>
					
					<xsl:if test="$var1 = '1'">
	 					<fo:block text-align="end">
	 						<xsl:variable name="varZ" select="TOTALCONCEPTO"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(TOTALCONCEPTO, '#.###,00', 'euro')"/>
						</fo:block>
					</xsl:if>
   			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>		
</xsl:template>


<xsl:template match="consumos_intervencion_false">		      	      	
	<xsl:if test="count(consumos_intervencion_false_rec) > 0">
		<fo:block text-align="start" font-weight="bold">  				
  			B.- MANTENIMIENTO/AMPLIACIÓN PRESUPUESTO
  		</fo:block>
  		<fo:table table-layout="fixed" inline-progression-dimension="auto">
 			<fo:table-column column-width="15mm"/>
 			<fo:table-column column-width="40mm"/>
 			<fo:table-column column-width="60mm"/>
 			<fo:table-column column-width="25mm"/>
			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
			<xsl:if test="$sum > 0">
				<fo:table-column column-width="15mm"/>
				<fo:table-column column-width="25mm"/>
			</xsl:if>
			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 			<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
			<xsl:if test="$sum = 0">
				<fo:table-column column-width="40mm"/>
			</xsl:if>
 			
	 		<fo:table-body font-weight="bold" start-indent="2pt" 
	 			margin-top="1mm" margin-bottom="1mm" 
	    		margin-left="1mm" margin-right="1mm" background-color="#A6D5E4">			
				<fo:table-row>					
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							Uds.
						</fo:block>
	   			</fo:table-cell>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							Referencia
						</fo:block>
	   			</fo:table-cell>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="start">
							Descripción
						</fo:block>
	   			</fo:table-cell>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							P. Unitario €
						</fo:block>
	   			</fo:table-cell>
	   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 					<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
					<xsl:if test="$sum > 0">
				 		<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
							<fo:block text-align="end">
								Dto.
							</fo:block>
	   				</fo:table-cell>
	   			</xsl:if>
	   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							Importe €
						</fo:block>
	   			</fo:table-cell>   					   								   				   					
				</fo:table-row>
	 		</fo:table-body>
	 	</fo:table>	
  				
  		<xsl:apply-templates select="consumos_intervencion_false_rec"/>
  		
	</xsl:if>
</xsl:template>


<!--Informacion Consumos intervencion no presupuestados-->

<xsl:template match="consumos_intervencion_false/consumos_intervencion_false_rec">		
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="15mm"/>
 		<fo:table-column column-width="40mm"/>
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="25mm"/>
 		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
		<xsl:if test="$sum > 0">
			<fo:table-column column-width="15mm"/>
			<fo:table-column column-width="25mm"/>
		</xsl:if>
		<!-- Descuento solo si hay Descuentos VALIDOS	-->
 		<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
		<xsl:if test="$sum = 0">
			<fo:table-column column-width="40mm"/>
		</xsl:if>
			
		<fo:table-body start-indent="2pt" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">			
			<fo:table-row>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:apply-templates select="UNIDADES"/>
					</fo:block>
   			</fo:table-cell>   				
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="REFERENCIA"/>
					</fo:block>
   			</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="start">
						<xsl:apply-templates select="DESCRIPCION"/>
					</fo:block>
   			</fo:table-cell>			   				   							   		
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="end">
						<xsl:variable name="varZ" select="PVP"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(PVP, '#.###,00', 'euro')"/>
					</fo:block>
   			</fo:table-cell>
   			<!-- Descuento solo si hay Descuentos VALIDOS	-->
 				<xsl:variable name="sum" select="sum(/parte/consumos_intervencion_false/consumos_intervencion_false_rec/DESCUENTO)" />
				<xsl:if test="$sum > 0">
				 	<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
						<fo:block text-align="end">
							<xsl:apply-templates select="DESCUENTO"/>%
						</fo:block>
   				</fo:table-cell>
   			</xsl:if>	
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<xsl:variable name="var1" select="FACTURABLE"/>
	 				<xsl:if test="$var1 = '0'">
	 				<fo:block text-align="end" text-decoration="line-through">
	 					<xsl:variable name="varZ" select="TOTALCONCEPTO"/>
						<xsl:if test="not($varZ > 1)">
 							<fo:inline>0</fo:inline>
						</xsl:if>
						<xsl:value-of select="format-number(TOTALCONCEPTO, '#.###,00', 'euro')"/>
					</fo:block>
					</xsl:if>
					
					<xsl:if test="$var1 = '1'">
	 					<fo:block text-align="end">
	 						<xsl:variable name="varZ" select="TOTALCONCEPTO"/>
							<xsl:if test="not($varZ > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(TOTALCONCEPTO, '#.###,00', 'euro')"/>
						</fo:block>
					</xsl:if>
   			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	
</xsl:template>

<!--total concepto-->

<xsl:template match="total/total_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
				 		
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/>
 		<fo:table-column column-width="36mm"/>
  		<fo:table-column column-width="36mm"/>
  		
 		<fo:table-body font-weight="bold" 
 			margin-top="1mm" margin-bottom="1mm" 
    		margin-left="1mm" margin-right="1mm">
 
  			<fo:table-row keep-with-next="always">  
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>SUMA</fo:inline> 
					</fo:block>
				</fo:table-cell>
  				
  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>BASE IMPONIBLE</fo:inline> 
					</fo:block>
				</fo:table-cell>

  				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
  					background-color="#A6D5E4">
					<fo:block text-align="center">
						<fo:inline>IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">		
					<fo:block text-align="center">
						<fo:inline>CUOTA IVA</fo:inline> 
					</fo:block>
				</fo:table-cell>
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black"
					background-color="#A6D5E4">	
					<fo:block text-align="center">
   						<fo:inline>TOTAL</fo:inline> 
   					</fo:block>										
   			</fo:table-cell>
   		</fo:table-row>
   		
   		<fo:table-row>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="SUMA"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(SUMA, '#.###,00', 'euro')"/> €
							</xsl:if>
							<xsl:if test="$base = 0">
								<fo:block space-after.optimum="15pt"></fo:block>
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
   			<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="/parte/baseimponible/baseimponible_rec/BASEIMPONIBLE"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="not($base > 1)">
 								<fo:inline>0</fo:inline>
							</xsl:if>
							<xsl:value-of select="format-number(/parte/baseimponible/baseimponible_rec/BASEIMPONIBLE, '#.###,00', 'euro')"/> €
						</xsl:if>
					</fo:block>
				</fo:table-cell>	
				
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">	
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="iva" select="IVA"/>
						<xsl:variable name="base" select="/parte/baseimponible/baseimponible_rec/BASEIMPONIBLE"/>
						<xsl:if test="$base > 0">
							<xsl:value-of select="round(($iva*100) div $base)"/>%
						</xsl:if>
					</fo:block>
				</fo:table-cell>


				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">						
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="IVA"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(IVA, '#.###,00', 'euro')"/> €
							</xsl:if>
						</xsl:if>
					</fo:block>
				</fo:table-cell>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center" start-indent="2pt">
						<xsl:variable name="base" select="TOTAL"/>
						<xsl:if test="string-length($base) > 0">
							<xsl:if test="$base > 0">
								<xsl:if test="not($base > 1)">
 									<fo:inline>0</fo:inline>
								</xsl:if>
								<xsl:value-of select="format-number(TOTAL, '#.###,00', 'euro')"/> €
							</xsl:if>
						</xsl:if>
   				</fo:block>
   			</fo:table-cell> 			
    		</fo:table-row>
    		
 		</fo:table-body>
 	</fo:table>
 	
	<!-- Tabla de firmas	-->
	<fo:block space-after.optimum="20pt"></fo:block>
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
	 	<fo:table-column column-width="180mm"/>
		<fo:table-body font-weight="normal"> 
		 	<fo:table-row>
				<fo:table-cell border-style="solid" border-width="1pt" border-color="black">					
					<fo:block text-align="start" space-after.optimum="20pt">						   											
						Acepto y autorizo la realización de los trabajos.
					</fo:block>					
					<fo:block space-after.optimum="2pt">						   											
						<fo:inline  text-align="start">Por el CLIENTE ____________________ </fo:inline>
						<fo:inline  text-align="start">Por la EMPRESA INSTALADORA ____________________</fo:inline>
					</fo:block>
				</fo:table-cell>	
			</fo:table-row>
		</fo:table-body>
	</fo:table>
</xsl:template>

<!--	Resumen ficha Instalación	-->
<xsl:template match="resumen_fichas_infraestructura_rec">
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="0pt">
 			<fo:table-column column-width="180mm"/>
 		
 			<fo:table-body> 
 		
  				<fo:table-row>  			 			   			
  					<fo:table-cell border-style="solid" border-width="0pt" border-color="black">	   				
						<fo:block text-align="start" font-weight="bold">
							<fo:inline>RESUMEN DE LA INFRAESTRUCTURA INSTALADA EN EL CLIENTE</fo:inline> 
						</fo:block>					
					</fo:table-cell>
				</fo:table-row>
			  			 			   				   				
				<fo:table-row>
					<fo:table-cell border-style="solid" border-width="1pt" border-color="black">					
						<fo:block text-align="start"
							white-space-collapse="false">						   											
							<xsl:apply-templates select="RESUMENFICHA"/>
						</fo:block>										
					</fo:table-cell>
				</fo:table-row>
	 		</fo:table-body>
 		</fo:table>
</xsl:template>


<!--	Resumenes Partes anteriores	-->
<xsl:template match="datos_historicos">
	
	<fo:block text-align="start" font-weight="bold">						   					
		<fo:inline>RESUMEN DE LOS ÚLTIMOS PARTES DE TRABAJO REALIZADOS</fo:inline>					
	</fo:block>
	<fo:block space-after.optimum="10pt"></fo:block>
	<xsl:apply-templates select="datos_historicos_rec"/>
	
</xsl:template>

<!--Informacion  Históricos Partes de Trabajo	-->
<xsl:template match="datos_historicos_rec">
			
	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="20mm"/>
 		<fo:table-column column-width="60mm"/>
 		<fo:table-column column-width="30mm"/>
 		<fo:table-column column-width="10mm"/>
 		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   	
					<fo:block text-align="start">						   						
    					<fo:inline>F. Parte: </fo:inline> 
    				</fo:block>
    			</fo:table-cell>
    			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   	
					<fo:block text-align="start">
						<xsl:variable name="fecha" select="FECHAREALIZACION"/>  							    						
						<xsl:if test="$fecha > 0"> 
							<xsl:value-of select="substring($fecha,7,2)"/> / <xsl:value-of select="substring($fecha,5,2)"/>	/ <xsl:value-of select="substring($fecha,1,4)"/>
						</xsl:if>
    				</fo:block>
    			</fo:table-cell>
    			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start">						   						
    					<fo:inline>Técnico: </fo:inline> 
    				</fo:block>
    			</fo:table-cell>
    			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   	
					<fo:block text-align="start">
    					<xsl:apply-templates select="NOMBRE"/>
    				</fo:block>
    			</fo:table-cell>
    			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
    				<fo:block text-align="start">						   						
    					<fo:inline>Nº Parte: </fo:inline> 
    				</fo:block>
    			</fo:table-cell>
    			<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   	
					<fo:block text-align="start">
    					<xsl:apply-templates select="NUMEROPARTETRABAJO"/>
    				</fo:block>
    			</fo:table-cell>    				
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Trabajo Solicitado: </fo:inline> 					
    					<xsl:apply-templates select="TRABAJOSOLICITADO"/> 
    				</fo:block>
    			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">   	
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Trabajo Realizado: </fo:inline> 				
    					<xsl:apply-templates select="TRABAJOREALIZADO"/> 
    				</fo:block>
    			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>
 	
 	<fo:block space-after.optimum="5pt"></fo:block>
 	
 	<fo:table table-layout="fixed" inline-progression-dimension="auto">
 		<fo:table-column column-width="180mm"/>
 		<fo:table-body>			
			<fo:table-row>				
				<fo:table-cell border-style="solid" border-width="0pt" border-color="black">
					<fo:block text-align="start" white-space-collapse="false">
   					<fo:inline>Pruebas Realizadas: </fo:inline> 
    					<xsl:apply-templates select="PRUEBASREALIZADAS"/> 
    				</fo:block>
    			</fo:table-cell>
			</fo:table-row>
 		</fo:table-body>
 	</fo:table>	

	<fo:block space-after.optimum="5pt"></fo:block>

	<!--
	LINEA DE SEPARACION
	-->
	<fo:table table-layout="fixed" inline-progression-dimension="auto" border-width="2pt">
 		<fo:table-column column-width="180mm"/>
	 		<fo:table-body>
	  			<fo:table-row>  			 			
	   			<fo:table-cell font-size="1pt" 
   					border-style="solid" border-width="1pt" border-color="black">
					<fo:block text-align="center">		
					</fo:block>	
   			</fo:table-cell>   				
			</fo:table-row>
		</fo:table-body>
	</fo:table>

</xsl:template>

</xsl:stylesheet>